org.springframework.data.relational.core.sql

## Class TrueCondition

- java.lang.Object
- - org.springframework.data.relational.core.sql.TrueCondition

All Implemented Interfaces:
  Condition, Segment, Visitable

    public class TrueCondition
    extends Object
    implements Condition

Simple condition that evaluates to SQL `TRUE`.

Since:
  2.1
Author:
  Mark Paluch

### Field Summary

Fields
`static TrueCondition` `INSTANCE`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()` Return a SQL string representation of this `Segment`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.data.relational.core.sql.Condition

`and, not, or`

### Methods inherited from interface org.springframework.data.relational.core.sql.Segment

`equals, hashCode`

### Methods inherited from interface org.springframework.data.relational.core.sql.Visitable

`visit`

### Field Detail

#### INSTANCE

    public static final TrueCondition INSTANCE

### Method Detail

#### toString

    public String toString()

Description copied from interface: `Segment`
Return a SQL string representation of this `Segment`.

The representation is intended for debugging purposes and an approximation to the generated SQL. While it might work in the context of a specific dialect, you should not that the `Segment.toString()` representation works across multiple databases.

Specified by:
  `toString` in interface `Segment`
Overrides:
  `toString` in class `Object`
Returns:
  a SQL string representation of this `Segment`.